Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.component
Class DgidxComponent

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.base.Provisionable
              com.endeca.soleng.eac.toolkit.component.Component
                  com.endeca.soleng.eac.toolkit.component.BatchComponent
                      com.endeca.soleng.eac.toolkit.component.DgidxComponent

    public class DgidxComponent

extends com.endeca.soleng.eac.toolkit.component.BatchComponent

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`DgidxComponent()`

Method Summary
`void` | `archiveIndex()`
`com.endeca.eac.client.ComponentType` | `buildEacStub()`
`void` | `cleanDirs()`
`com.endeca.soleng.eac.toolkit.utility.CopyUtility` | `createConfigCopyUtility()`
`com.endeca.soleng.eac.toolkit.utility.CopyUtility` | `createIncomingDataCopyUtility()`
`java.lang.String` | `getAppConfigDir()`
`java.util.List<java.lang.String>` | `getArgs()`
`protected void` | `getConfig()` Retrieves pipeline and config for Dgidx to process.
`java.lang.String` | `getConfigDir()`
`java.lang.String` | `getConfigFileName()`
`java.lang.String` | `getConfigHost()`
`java.lang.String` | `getDgidxGroup()`
`protected void` | `getIncomingData()` Retrieves incoming data for Dgidx to process.
`java.lang.String` | `getIncomingDataDir()`
`java.lang.String` | `getIncomingDataFileName()`
`java.lang.String` | `getIncomingDataHost()`
`java.lang.String` | `getInputDir()`
`int` | `getNumIndexBackups()`
`java.lang.String` | `getOutputDir()`
`java.lang.String` | `getTempDir()`
`protected void` | `initializeEacStub(com.endeca.eac.client.DgidxComponentType stub)`
`boolean` | `isRunAspell()`
`void` | `setAppConfigDir(java.lang.String appConfigDir)`
`void` | `setArgs(java.util.List<java.lang.String> args)`
`void` | `setInputDir(java.lang.String inputDir)`
`void` | `setOutputDir(java.lang.String outputDir)`
`void` | `setRunAspell(boolean runAspell)`
`void` | `setTempDir(java.lang.String tempDir)`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.BatchComponent
`run, runInParallel`

Methods inherited from class com.endeca.soleng.eac.toolkit.component.Component
`archiveLogDir, cleanDir, constructArchiveLogDir, constructCleanDir, getCustomDirectories, getDirProperties, getHost, getHostId, getLongPropertyValueOrDefault, getMaxMissedStatusChecksAllowed, getMaxWaitTimeSeconds, getMinWaitTimeSeconds, getNumLogBackups, getNumMissedStatusChecks, getProperties, getProperty, getSlowPollingIntervalMs, getStandardPollingIntervalMs, getStatus, incrementMissedStatusQueries, initializeEacStub, isActive, isDefined, isDefinitionChanged, isFailed, isHotUpdateDefinitionChange, isSkipTestingForFilesDuringCleanup, removeDefinition, setCustomDirectories, setDefinition, setDefinition, setHost, setHostId, setNumMissedStatusChecks, setProperties, start, stop, updateDefinition, updateEacDefinition, updateEacDefinition, waitForFinished`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.Provisionable
`getAppDefinitionFromEac, getCachedAppDefinition, getProvisioningPort, invalidateCachedAppDefinition, setCachedAppDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setElementId, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DgidxComponent

    public DgidxComponent()

Method Detail

### cleanDirs

    public void cleanDirs()
                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                          java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### createIncomingDataCopyUtility

    public com.endeca.soleng.eac.toolkit.utility.CopyUtility createIncomingDataCopyUtility()
                                                                                    throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                                                           com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                                                           com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                                                                           java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### getIncomingData

    protected void getIncomingData()
                            throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                   com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                   com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                   java.lang.InterruptedException

  Retrieves incoming data for Dgidx to process. In this implementation, the data is assumed to be extracted data files found in the directory identified in the custom incomingDataDir directory.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### createConfigCopyUtility

    public com.endeca.soleng.eac.toolkit.utility.CopyUtility createConfigCopyUtility()
                                                                              throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                                                     com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                                                                     java.lang.InterruptedException,
                                                                                     com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### getConfig

    protected void getConfig()
                      throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                             com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                             java.lang.InterruptedException,
                             com.endeca.soleng.eac.toolkit.exception.AppConfigurationException

  Retrieves pipeline and config for Dgidx to process. In this implementation, all files in the specified config directory are retrieved.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`

### archiveIndex

    public void archiveIndex()
                      throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                             com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                             com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                             java.lang.InterruptedException

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `java.lang.InterruptedException`

### buildEacStub

    public com.endeca.eac.client.ComponentType buildEacStub()

  Overrides:
    `buildEacStub` in class `com.endeca.soleng.eac.toolkit.component.Component`

### initializeEacStub

    protected void initializeEacStub(com.endeca.eac.client.DgidxComponentType stub)

### getNumIndexBackups

    public int getNumIndexBackups()

### getDgidxGroup

    public java.lang.String getDgidxGroup()

### getIncomingDataHost

    public java.lang.String getIncomingDataHost()

### getIncomingDataDir

    public java.lang.String getIncomingDataDir()

### getIncomingDataFileName

    public java.lang.String getIncomingDataFileName()

### getConfigHost

    public java.lang.String getConfigHost()

### getConfigDir

    public java.lang.String getConfigDir()

### getConfigFileName

    public java.lang.String getConfigFileName()

### getAppConfigDir

    public java.lang.String getAppConfigDir()

### setAppConfigDir

    public void setAppConfigDir(java.lang.String appConfigDir)

### getArgs

    public java.util.List<java.lang.String> getArgs()

### setArgs

    public void setArgs(java.util.List<java.lang.String> args)

### getInputDir

    public java.lang.String getInputDir()

### setInputDir

    public void setInputDir(java.lang.String inputDir)

### getOutputDir

    public java.lang.String getOutputDir()

### setOutputDir

    public void setOutputDir(java.lang.String outputDir)

### isRunAspell

    public boolean isRunAspell()

### setRunAspell

    public void setRunAspell(boolean runAspell)

### getTempDir

    public java.lang.String getTempDir()

### setTempDir

    public void setTempDir(java.lang.String tempDir)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Components (eacComponents)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:23-0500